Subject: Re: [PATCH 1/7] netpoll: shorten carrier detect timeout

From: Patrick McHardy <[email-masked]>
Date: Fri, 11 Mar 2005 05:53:16 +0100

Matt Mackall wrote:
> On Fri, Mar 11, 2005 at 05:35:05AM +0100, Patrick McHardy wrote:
> 
>>>So I'm going to change it from "flaky" to "untrustworthy" and add a
>>>comment.
>>
>>Why don't you trust an instaneously available carrier? Any
>>reason to assume there will be false positives?
> 
> 
> Because I had reports of people losing all their boot messages until
> this logic was added (about a year ago now?). I don't remember which
> NICs were implicated, but some apparently report carrier is always
> available.

If this problem is not common, I think it would be better to make
this behaviour dependant on a boot parameter instead of forcing
everyone to wait for 4s. Additionally you could have a blacklist
of flaky NICs.

Regards
Patrick